Loading...
Searching...
No Matches
Echo cancelling
Public API functions » Port initialisation » Card information » Port control » Event handling » Audio play and record » Error handling » Programmable tone generator » Programmable tone detector » Wav audio support » Caller id
Collaboration diagram for Echo cancelling:

## Functions

int WINAPI | vpb_loopback_on (int handle)
| Turns on software loop-back of tx->rx in the kernel.
int WINAPI | vpb_loopback_off (int handle)
| Turns off software loop-back of tx->rx in the kernel.
int WINAPI | vpb_hostecho_on (int handle)
| Enable the host echo canceller for handle.
int WINAPI | vpb_hostecho_off (int handle)
| Disable the host echo canceller for handle.
int WINAPI | vpb_echo_canc_force_adapt_on ()
int WINAPI | vpb_echo_canc_force_adapt_off ()
int WINAPI | vpb_echo_canc_enable ()
int WINAPI | vpb_echo_canc_disable ()
int WINAPI | vpb_echo_canc_get_sup_thresh (int handle, short *thresh)
| Get the current echo suppressor threshold.
int WINAPI | vpb_echo_canc_set_sup_thresh (int handle, short *thresh)
| Set the echo suppressor threshold.

## Detailed Description

## Function Documentation

## vpb_echo_canc_get_sup_thresh()

int WINAPI vpb_echo_canc_get_sup_thresh | ( | int | handle,
|  | short * | thresh )

Get the current echo suppressor threshold.

This threshold is the same for all channels on all cards.

Parameters

  handle | A handle to an open port on the card.
  thresh | The returned echo suppressor threshold value.

Note
  This function is only supported for `V4PCI` cards.

Exceptions

  VpbException | will be thrown in the event of an error.

References DD_PCI, and vpb_c.

## vpb_echo_canc_set_sup_thresh()

int WINAPI vpb_echo_canc_set_sup_thresh | ( | int | handle,
|  | short * | thresh )

Set the echo suppressor threshold.

This threshold is the same for all channels on all cards.

Parameters

  handle | A handle to an open port on the card.
  thresh | The echo suppressor threshold value. `0x1000` gives `-18db`, `0x800` gives `-24db`, `0x0` for no suppressor.

Note
  This function is only supported for `V4PCI` cards.

Exceptions

  VpbException | will be thrown in the event of an error.

References DD_PCI, and vpb_c.

## vpb_loopback_off()

int WINAPI vpb_loopback_off | ( | int | handle | ) |

Turns off software loop-back of tx->rx in the kernel.

Useful for echo testing.

Parameters

  handle | The handle of the port to disable loopback operations.

Returns
  `VPB_OK` if all went well.

Exceptions

  various | exceptions may be thrown if all did not go well.

Note
  This function is not supported for all hardware types.

See also
  vpb_loopback_on()

References vpb_c.

## vpb_loopback_on()

int WINAPI vpb_loopback_on | ( | int | handle | ) |

Turns on software loop-back of tx->rx in the kernel.

Useful for echo testing.

Parameters

  handle | The handle of the port to enable loopback operations.

Returns
  `VPB_OK` if all went well.

Exceptions

  various | exceptions may be thrown if all did not go well.

Note
  This function is not supported for all hardware types.

See also
  vpb_loopback_off()

References vpb_c.